Skip to main content
`Ctrl`+`K`

# scipy.linalg.LinAlgError

exception scipy.linalg.LinAlgError

  Generic Python-exception-derived object raised by linalg functions.

  General purpose exception class, derived from Python’s ValueError class, programmatically raised in linalg functions when a Linear Algebra-related condition would prevent further correct execution of the function.

  Parameters:
    None

  Examples

      >>> from numpy import linalg as LA
      >>> LA.inv(np.zeros((2,2)))
      Traceback (most recent call last):
        File "<stdin>", line 1, in <module>
        File "...linalg.py", line 350,
          in inv return wrap(solve(a, identity(a.shape[0], dtype=a.dtype)))
        File "...linalg.py", line 249,
          in solve
          raise LinAlgError('Singular matrix')
      numpy.linalg.LinAlgError: Singular matrix

  add_note(note, /)

    Add a note to the exception

  with_traceback(tb, /)

    Set self.__traceback__ to tb and return self.